跳到正文
Navigation

获取文件编辑历史记录列表

POST
https://your-panel.example.com:8888/files

列出所有有编辑历史记录的文件及其历史版本信息。

Request body application/x-www-form-urlencoded required

  • request_time
    string
    required

    Unix 时间戳。

  • request_token
    string
    required

    按 API 概览生成的签名。

  • action
    file_history_list
    required

    具体操作名称。

Returns

default

接口响应,业务状态见下方详细说明。

各操作详细说明

file_history_listaction=file_history_list获取文件编辑历史记录列表

列出所有有编辑历史记录的文件及其历史版本信息。

  • 路由:POST /files
  • action:file_history_list

输入参数

参数名称 必选 类型 描述
action 是 String 固定值 file_history_list

无其他参数。

输出参数

参数名称 类型 描述
- Array 文件历史列表,每项含 filepath 和 historys

示例

请求

POST /files HTTP/1.1
Host: 192.168.168.213:8888
Content-Type: application/x-www-form-urlencoded

action=file_history_list

响应

[]

Type to search…

↑↓ navigate↵ selectEsc close